Package org.bgerp.action

# Class CustomerAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.action.CustomerAction

public class CustomerAction extends BaseAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, log, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CustomerAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `customer(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `customerCreate(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `customerDelete(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `customerGet(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `customerMerge(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `customerTitleList(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `customerUpdate(DynActionForm form, ConnectionSet conSet)`
  `protected void`
  `formatCustomerTitle(Customer customer, CustomerDAO customerDAO, ParamValueDAO paramDAO, Connection con)`
  `org.apache.struts.action.ActionForward`
  `unspecified(DynActionForm form, ConnectionSet conSet)`
  Default action method if no parameter 'action' passed.

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CustomerAction

    public CustomerAction()

- ## Method Details

  - ### unspecified

    public org.apache.struts.action.ActionForward unspecified(DynActionForm form, ConnectionSet conSet) throws Exception
    Description copied from class: `BaseAction`
    Default action method if no parameter 'action' passed. Overwrite and implement.
    Overrides:
      `unspecified` in class `BaseAction`
    Parameters:
      `form` -
      `conSet` -
    Returns:
    Throws:
      `Exception`

  - ### customerCreate

    public org.apache.struts.action.ActionForward customerCreate(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### customerGet

    public org.apache.struts.action.ActionForward customerGet(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### customerUpdate

    public org.apache.struts.action.ActionForward customerUpdate(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### customerDelete

    public org.apache.struts.action.ActionForward customerDelete(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### customer

    public org.apache.struts.action.ActionForward customer(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### customerTitleList

    public org.apache.struts.action.ActionForward customerTitleList(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### customerMerge

    public org.apache.struts.action.ActionForward customerMerge(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### formatCustomerTitle

    protected void formatCustomerTitle(Customer customer, CustomerDAO customerDAO, ParamValueDAO paramDAO, Connection con) throws Exception
    Throws:
      `Exception`